#/bin/bash

dm=/home/mhviet/FFTEST
dres=${dm}/results_FFTEST_N
dstat=${dm}/STAT_FFTEST_N
mkdir ${dstat}
cd ${dstat}

ff=ff99SB
cat ${dres}/dfGA_bond_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' > a1
cat ${dres}/dfGA_angle_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_dihed_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_14vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_14ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1
cat ${dres}/dfGA_Epot_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a1

ff=ff12SB
cat ${dres}/dfGA_bond_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' > a2
cat ${dres}/dfGA_angle_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_dihed_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_14vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_14ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2
cat ${dres}/dfGA_Epot_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a2

ff=ff14SB
cat ${dres}/dfGA_bond_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' > a3
cat ${dres}/dfGA_angle_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_dihed_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_14vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_14ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_vdW_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_ele_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3
cat ${dres}/dfGA_Epot_*_${ff}.dat | awk '{t+=$1} END {printf "%.3f\n",t/NR}' >> a3

paste a1 a2 a3 | awk '{print $1," & ",$2," & ",$3}' > table.dat
